# _CommandSpecLeaf
<span class="source-link">[[Source]](src/cli/command_spec.md#L4)</span>
```pony
primitive val _CommandSpecLeaf
```

## Constructors

### create
<span class="source-link">[[Source]](src/cli/command_spec.md#L4)</span>


```pony
new val create()
: _CommandSpecLeaf val^
```

#### Returns

* [_CommandSpecLeaf](cli-_CommandSpecLeaf) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/cli/command_spec.md#L5)</span>


```pony
fun box eq(
  that: _CommandSpecLeaf val)
: Bool val
```
#### Parameters

*   that: [_CommandSpecLeaf](cli-_CommandSpecLeaf) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/cli/command_spec.md#L5)</span>


```pony
fun box ne(
  that: _CommandSpecLeaf val)
: Bool val
```
#### Parameters

*   that: [_CommandSpecLeaf](cli-_CommandSpecLeaf) val

#### Returns

* [Bool](builtin-Bool) val

---

